summaryrefslogtreecommitdiff
path: root/test/TEST-01-BASIC
diff options
context:
space:
mode:
authorHarald Hoyer <harald@redhat.com>2012-05-24 16:00:33 +0200
committerHarald Hoyer <harald@redhat.com>2012-05-24 16:02:06 +0200
commit7b17d413b11bfbdb4442c87b1db25b37ed5162ac (patch)
tree2a1df706003ad7a827ffb7f838f376a3610398e5 /test/TEST-01-BASIC
parentd9890f4ed47c0d565915360d8bae3b7a1428f285 (diff)
test/TEST-01-BASIC: only test systemd-nspawn, if the test system uses systemd
Diffstat (limited to 'test/TEST-01-BASIC')
-rwxr-xr-xtest/TEST-01-BASIC/test.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/test/TEST-01-BASIC/test.sh b/test/TEST-01-BASIC/test.sh
index ca8a5ee87..22517a831 100755
--- a/test/TEST-01-BASIC/test.sh
+++ b/test/TEST-01-BASIC/test.sh
@@ -43,7 +43,9 @@ run_nspawn() {
test_run() {
run_qemu || return 1
- run_nspawn || return 1
+ if [[ -d /sys/fs/cgroup/systemd ]]
+ run_nspawn || return 1
+ fi
return 0
}